section.gallery .gallery-wrapper {
  grid-column: 1/-1;
}

.gallery img {
  cursor: pointer;
  -webkit-transition: -webkit-transform 0.2s;
  transition: -webkit-transform 0.2s;
  transition: transform 0.2s;
  transition: transform 0.2s, -webkit-transform 0.2s;
  height: 216px;
  -o-object-fit: cover;
     object-fit: cover;
  width: 100%;
  position: relative;
  display: block;
}

.gallery-item {
  position: relative;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(78, 201, 214, 0.9);
  opacity: 0;
  -webkit-transition: opacity 0.3s ease-in-out;
  transition: opacity 0.3s ease-in-out;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  pointer-events: none; /* Allow clicks to pass through the overlay */
}

.overlay span {
  width: 4.625rem;
  height: 4.625rem;
}
.overlay span:after {
  background: var(--white);
}

.gallery-item:hover .overlay {
  opacity: 1;
}

.modal {
  display: none;
  position: fixed; /* Fixed to cover the whole screen */
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.6);
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  z-index: 9999; /* High z-index to ensure it stays on top */
}

.modal img {
  max-width: 95%;
  max-height: 95%;
}

.close {
  position: absolute;
  top: 1.25rem;
  right: 1.25rem;
  color: var(--white);
  cursor: pointer;
  width: 1.25rem;
  height: 1.25rem;
}
.close span:after {
  background: var(--white);
  -webkit-transition: all 0.5s ease;
  transition: all 0.5s ease;
}
.close:hover span:after {
  background: var(--blue);
}

.arrow {
  position: absolute;
  top: 50%;
  cursor: pointer;
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
  background: none;
  border: none;
  width: 1.5625rem;
  height: 1.5625rem;
}
.arrow span:after {
  background: var(--white);
  -webkit-transition: all 0.5s ease;
  transition: all 0.5s ease;
}
.arrow:hover span:after {
  background: var(--blue);
}

.left {
  left: 1.25rem;
  -webkit-transform: rotate(90deg);
          transform: rotate(90deg);
}

.right {
  right: 1.25rem;
  -webkit-transform: rotate(-90deg);
          transform: rotate(-90deg);
}